Project

General

Profile

Bug #14775 ยป bug-14775.log

nobu (Nobuyoshi Nakada), 05/18/2018 11:45 PM

 
1
/Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json/ext/parser.bundle: [BUG] Segmentation fault
2
ruby 2.0.0p648 (2015-12-16 revision 53162) [universal.x86_64-darwin16]
3

    
4
-- Crash Report log information --------------------------------------------
5
   See Crash Report log file under the one of following:
6
     * ~/Library/Logs/CrashReporter
7
     * /Library/Logs/CrashReporter
8
     * ~/Library/Logs/DiagnosticReports
9
     * /Library/Logs/DiagnosticReports
10
   the more detail of.
11

    
12
-- Control frame information -----------------------------------------------
13
c:0014 p:-17540909998614 s:0061 e:000060 TOP    [FINISH]
14
c:0013 p:---- s:0059 e:000058 CFUNC  :require
15
c:0012 p:0115 s:0055 e:000054 METHOD /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55
16
c:0011 p:0009 s:0045 e:000044 CLASS  /Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json/ext.rb:7
17
c:0010 p:0011 s:0043 e:000042 CLASS  /Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json/ext.rb:6
18
c:0009 p:0017 s:0041 e:000040 TOP    /Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json/ext.rb:3 [FINISH]
19
c:0008 p:---- s:0039 e:000038 CFUNC  :require
20
c:0007 p:0115 s:0035 e:000034 METHOD /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55
21
c:0006 p:0019 s:0025 e:000024 CLASS  /Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json.rb:59
22
c:0005 p:0017 s:0023 e:000022 TOP    /Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json.rb:55 [FINISH]
23
c:0004 p:---- s:0021 e:000020 CFUNC  :require
24
c:0003 p:0115 s:0017 e:000016 METHOD /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55
25
c:0002 p:0103 s:0007 E:000530 EVAL   /Users/abhinayy/bin/cr-upgrade:19 [FINISH]
26
c:0001 p:0000 s:0002 E:002008 TOP    [FINISH]
27

    
28
/Users/abhinayy/bin/cr-upgrade:19:in `<main>'
29
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
30
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
31
/Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json.rb:55:in `<top (required)>'
32
/Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json.rb:59:in `<module:JSON>'
33
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
34
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
35
/Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json/ext.rb:3:in `<top (required)>'
36
/Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json/ext.rb:6:in `<module:JSON>'
37
/Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json/ext.rb:7:in `<module:Ext>'
38
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
39
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
40

    
41
-- C level backtrace information -------------------------------------------
42

    
43
-- Other runtime information -----------------------------------------------
44

    
45
* Loaded script: /Users/abhinayy/bin/cr-upgrade
46

    
47
* Loaded features:
48

    
49
    0 enumerator.so
50
    1 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/universal-darwin16/enc/encdb.bundle
51
    2 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/universal-darwin16/enc/trans/transdb.bundle
52
    3 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/universal-darwin16/rbconfig.rb
53
    4 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/compatibility.rb
54
    5 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/defaults.rb
55
    6 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/deprecate.rb
56
    7 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/errors.rb
57
    8 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/version.rb
58
    9 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/requirement.rb
59
   10 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/platform.rb
60
   11 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/specification.rb
61
   12 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/exceptions.rb
62
   13 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_gem.rb
63
   14 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/thread.rb
64
   15 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/monitor.rb
65
   16 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb
66
   17 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems.rb
67
   18 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/dependency.rb
68
   19 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/path_support.rb
69
   20 /Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json/version.rb
70
   21 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/ostruct.rb
71
   22 /Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json/generic_object.rb
72
   23 /Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json/common.rb
73

    
74
[NOTE]
75
You may have encountered a bug in the Ruby interpreter or extension libraries.
76
Bug reports are welcome.
77
Don't forget to include the above Crash Report log file.
78
For details: http://www.ruby-lang.org/bugreport.html
79

    
80
/Users/abhinayy/bin/cr: line 7: 71644 Abort trap: 6           ruby $(dirname $0)/cr-upgrade --quiet
81
/Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json/ext/parser.bundle: [BUG] Segmentation fault
82
ruby 2.0.0p648 (2015-12-16 revision 53162) [universal.x86_64-darwin16]
83

    
84
-- Crash Report log information --------------------------------------------
85
   See Crash Report log file under the one of following:
86
     * ~/Library/Logs/CrashReporter
87
     * /Library/Logs/CrashReporter
88
     * ~/Library/Logs/DiagnosticReports
89
     * /Library/Logs/DiagnosticReports
90
   the more detail of.
91

    
92
-- Control frame information -----------------------------------------------
93
c:0018 p:-17561663785372 s:0072 e:000071 TOP    [FINISH]
94
c:0017 p:---- s:0070 e:000069 CFUNC  :require
95
c:0016 p:0115 s:0066 e:000065 METHOD /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55
96
c:0015 p:0009 s:0056 e:000055 CLASS  /Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json/ext.rb:7
97
c:0014 p:0011 s:0054 e:000053 CLASS  /Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json/ext.rb:6
98
c:0013 p:0017 s:0052 e:000051 TOP    /Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json/ext.rb:3 [FINISH]
99
c:0012 p:---- s:0050 e:000049 CFUNC  :require
100
c:0011 p:0115 s:0046 e:000045 METHOD /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55
101
c:0010 p:0019 s:0036 e:000035 CLASS  /Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json.rb:59
102
c:0009 p:0017 s:0034 e:000033 TOP    /Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json.rb:55 [FINISH]
103
c:0008 p:---- s:0032 e:000031 CFUNC  :require
104
c:0007 p:0115 s:0028 e:000027 METHOD /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55
105
c:0006 p:0007 s:0018 e:000017 TOP    /Users/abhinayy/bin/cr-installs/1519232691/cr-lib/coral.rb:1 [FINISH]
106
c:0005 p:---- s:0016 e:000015 CFUNC  :require_relative
107
c:0004 p:0023 s:0012 e:000011 TOP    /Users/abhinayy/bin/cr-installs/1519232691/cr-lib/arguments.rb:4 [FINISH]
108
c:0003 p:---- s:0010 e:000009 CFUNC  :require_relative
109
c:0002 p:0007 s:0006 E:002138 EVAL   /Users/abhinayy/bin/cr-lib/main.rb:3 [FINISH]
110
c:0001 p:0000 s:0002 E:0026a8 TOP    [FINISH]
111

    
112
/Users/abhinayy/bin/cr-lib/main.rb:3:in `<main>'
113
/Users/abhinayy/bin/cr-lib/main.rb:3:in `require_relative'
114
/Users/abhinayy/bin/cr-installs/1519232691/cr-lib/arguments.rb:4:in `<top (required)>'
115
/Users/abhinayy/bin/cr-installs/1519232691/cr-lib/arguments.rb:4:in `require_relative'
116
/Users/abhinayy/bin/cr-installs/1519232691/cr-lib/coral.rb:1:in `<top (required)>'
117
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
118
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
119
/Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json.rb:55:in `<top (required)>'
120
/Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json.rb:59:in `<module:JSON>'
121
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
122
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
123
/Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json/ext.rb:3:in `<top (required)>'
124
/Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json/ext.rb:6:in `<module:JSON>'
125
/Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json/ext.rb:7:in `<module:Ext>'
126
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
127
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:55:in `require'
128

    
129
-- C level backtrace information -------------------------------------------
130

    
131
-- Other runtime information -----------------------------------------------
132

    
133
* Loaded script: /Users/abhinayy/bin/cr-lib/main.rb
134

    
135
* Loaded features:
136

    
137
    0 enumerator.so
138
    1 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/universal-darwin16/enc/encdb.bundle
139
    2 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/universal-darwin16/enc/trans/transdb.bundle
140
    3 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/universal-darwin16/rbconfig.rb
141
    4 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/compatibility.rb
142
    5 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/defaults.rb
143
    6 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/deprecate.rb
144
    7 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/errors.rb
145
    8 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/version.rb
146
    9 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/requirement.rb
147
   10 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/platform.rb
148
   11 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/specification.rb
149
   12 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/exceptions.rb
150
   13 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_gem.rb
151
   14 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/thread.rb
152
   15 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/monitor.rb
153
   16 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb
154
   17 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems.rb
155
   18 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/optparse.rb
156
   19 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/ostruct.rb
157
   20 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/dependency.rb
158
   21 /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/rubygems/path_support.rb
159
   22 /Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json/version.rb
160
   23 /Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json/generic_object.rb
161
   24 /Users/abhinayy/.rvm/gems/ruby-2.4.0/gems/json-2.1.0/lib/json/common.rb
162

    
163
[NOTE]
164
You may have encountered a bug in the Ruby interpreter or extension libraries.
165
Bug reports are welcome.
166
Don't forget to include the above Crash Report log file.
167
For details: http://www.ruby-lang.org/bugreport.html